Package net.rubygrapefruit.platform

# Interface WindowsRegistry

All Superinterfaces:
  `NativeIntegration`

All Known Implementing Classes:
  `DefaultWindowsRegistry`

public interface WindowsRegistry extends NativeIntegration

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`WindowsRegistry.Key`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStringValue(WindowsRegistry.Key key, String subkey, String value)`
Returns a registry key value as a String.
`List<String>`
`getSubkeys(WindowsRegistry.Key key, String subkey)`
Lists the subkeys of a registry key.
`List<String>`
`getValueNames(WindowsRegistry.Key key, String subkey)`
Lists the value names of a registry key.

## Method Details

### getStringValue

String getStringValue(WindowsRegistry.Key key, String subkey, String value) throws NativeException
Returns a registry key value as a String.

Throws:
  `NativeException` - On failure.
  `MissingRegistryEntryException` - When the requested key or value does not exist.

### getSubkeys

List<String> getSubkeys(WindowsRegistry.Key key, String subkey) throws NativeException
Lists the subkeys of a registry key.

Throws:
  `NativeException` - On failure.
  `MissingRegistryEntryException` - When the requested key does not exist.

### getValueNames

List<String> getValueNames(WindowsRegistry.Key key, String subkey) throws NativeException
Lists the value names of a registry key.

Throws:
  `NativeException` - On failure.
  `MissingRegistryEntryException` - When the requested key does not exist.